Bug 862549 - [RFE] Use vsqlite++ package as dependency and not the bundled source
[RFE] Use vsqlite++ package as dependency and not the bundled source
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 860146
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 04:25 EDT by Vinzenz Feenstra [evilissimo]
Modified: 2013-08-19 02:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 02:06:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2012-10-03 04:25:20 EDT
Description of problem:
The mysql-workbench package bundles vsqlite++ internally, it should depend on the newly created package.

Version-Release number of selected component (if applicable):
All so far

How reproducible:
N/A

Actual results:
mysql-workbench comes at the moment with vsqlite++

Expected results:
mysql-workbench will depend on vsqlite++

Additional info:
Comment 1 Remi Collet 2012-10-20 02:50:35 EDT
Currently MW bundles a very old copy of vsqlite++ (0.2.0 from 2006)

MW don't build with current version 0.3.9, lot of errors such as:
./sqlide/sqlide_generics.h:27:30: fatal error: sqlite/variant.hpp: No such file or directory

Fixes are required and need to be submitted to upstream.

So, I diff must differ this one... :(
Comment 2 Fedora End Of Life 2013-04-03 15:20:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Remi Collet 2013-08-19 02:06:47 EDT
MySQL Workbench is no more in Fedora

Note You need to log in before you can comment on or make changes to this bug.